<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);

        $this->call(RolSeeder::class);
        $this->call(BrandSeeder::class);
        $this->call(BranchSeeder::class);
        $this->call(StagesSeeder::class);
        $this->call(SourceSeeder::class);
        $this->call(ContactMethodSeeder::class);
        $this->call(BenefitSeeder::class);
        $this->call(FeatureSeeder::class);
        $this->call(TypePropertySeeder::class);
        $this->call(TypeDeparmentSeeder::class);
        $this->call(TypeActivitySeeder::class);
        $this->call(UserSeeder::class);
        $this->call(ProcedureSeeder::class);
        $this->call(ProjectSeeder::class);
        $this->call(DepartamentSeeder::class);
        $this->call(ParkSeeder::class);
    }
}
